# VectorNav C++ Library: vn::sensors::YawPitchRollMagneticAccelerationAndAngularRatesRegister Struct Reference

vn::sensors::YawPitchRollMagneticAccelerationAndAngularRatesRegister Struct Reference
Register Structures

Structure representing the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register. More...

`#include <registers.h>`

## Public Member Functions

| YawPitchRollMagneticAccelerationAndAngularRatesRegister (vn::math::vec3f yawPitchRollIn, vn::math::vec3f magIn, vn::math::vec3f accelIn, vn::math::vec3f gyroIn)
| Creates an initializes a new YawPitchRollMagneticAccelerationAndAngularRatesRegister structure. More...

## Public Attributes

vn::math::vec3f | yawPitchRoll
| The yawPitchRoll field.
vn::math::vec3f | mag
| The mag field.
vn::math::vec3f | accel
| The accel field.
vn::math::vec3f | gyro
| The gyro field.

## Detailed Description

Structure representing the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register.

Examples:
  getting_started/main.cpp.

## Constructor & Destructor Documentation

vn::sensors::YawPitchRollMagneticAccelerationAndAngularRatesRegister::YawPitchRollMagneticAccelerationAndAngularRatesRegister | ( | vn::math::vec3f | yawPitchRollIn,
|  | vn::math::vec3f | magIn,
|  | vn::math::vec3f | accelIn,
|  | vn::math::vec3f | gyroIn
| ) |  |

inline

Creates an initializes a new YawPitchRollMagneticAccelerationAndAngularRatesRegister structure.

Parameters

  [in] | yawPitchRollIn | Value to initialize the yawPitchRoll field with.
  [in] | magIn | Value to initialize the mag field with.
  [in] | accelIn | Value to initialize the accel field with.
  [in] | gyroIn | Value to initialize the gyro field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h